package model;

import java.util.Arrays;
import java.util.List;

public class AppConfig {

    // URLs
    // Se han eliminida las url de los servidores externos del proyecto porque pertenecen a una empresa.
    // Los datso del correo también se han eliminado
    // Server user login url
    public static String URL_LOGIN = "url_servidor_login";

    public static String URL_PRODUCTS = "url_servidor_productos";

    public static String URL_TEST = "url_servidor_tests";

    // Server user register url
    public static String URL_REGISTER = "url_servidor_registro";


    // EMAIL
    public static String PASS_MAIL = "password_mail";
    public static String USER_MAIL = "mail";


    // DISEÑO APP
    public static String LOGO_JOYERIA = "https://joyeriasadeley.com/img/my-shop-logo-1495786399.jpg";
    public static String DEFAULT_URL = "https://joyeriasadeley.com";

    // LISTADO CATEGORÍAS PRODUCTOS
    public static final List<String> C_NOVIOS = Arrays.asList("GEMELOS", "PINZA DE CORBATA", "ARTÍCULOS DE PELO", "COLGANTES", "PENDIENTES");
    public static final List<String> C_PADRINOS = Arrays.asList("ARTÍCULOS DE PELO", "COLGANTES", "PULSERAS", "GEMELOS", "PINZA DE CORBATA");
    public static final List<String> C_RELOJES = Arrays.asList("MONT BLANC", "GUCCI", "TISSOT", "SWAROVSKI", "JAGUAR", "MICHAEL KORS", "SWATCH", "CALVIN KLEIN",
            "FOSSIL", "SKAGEN", "FESTINA", "LOTUS", "VICEROY", "CASIO", "CALYPSO", "SANDOZ", "EMPORIO ARMANI", "ARMANI EXCHANGE", "GARMIN");
    public static final List<String> MATERIAL_ALIANZAS = Arrays.asList("ORO BLANCO", "ORO AMARILLO", "ORO BICOLOR");
    public static final List<String> MATERIAL_PEDIDA = Arrays.asList("ORO BLANCO", "ORO AMARILLO");


    // medidas de los anillos en mm
    // 15.28, 15.60, 15.92, 16.24, 16.56, 16.87, 17.19, 17.51, 17.83, 18.15, 18.47, 18.78, 19.10,
    // 19.42, 19.74, 20.06, 20.38, 20.70, 21.01, 21.33, 21.65, 21.97, 22.29, 22.61, 22.92, 23.24

    // medidas de los anillos en dp.
    public static final float[] medidasPermitidas = new float[]{96.252f, 98.268f, 100.283f, 102.299f, 104.315f, 106.268f, 108.283f, 110.299f,
            112.315f, 114.331f, 116.346f, 118.299f, 120.315f, 122.331f, 124.346f, 126.362f, 128.378f, 130.394f, 130.394f, 132.346f,
            134.362f, 136.378f, 138.394f, 140.409f, 142.425f, 144.378f, 146.394f  };
}
