package model;

import android.content.Context;
import android.graphics.*;
import android.view.View;


public class Lienzo extends View {

    private Canvas canvas;
    private Paint pincel;

    private int ancho;
    private int alto;
    private float radio;



    public Lienzo(Context context, float radio) {
        super(context);

        this.radio = radio;

        // Características línea borde del círculo del anillo
        pincel = new Paint();
        pincel.setStrokeWidth(4);
        pincel.setARGB(255, 255, 0, 0);
        pincel.setStyle(Paint.Style.STROKE);

    }

    protected void onDraw(Canvas canvas) {
        // Dibijamos círculo
        this.canvas = canvas;
        this.canvas.drawRGB(255, 255, 255);
        ancho = this.canvas.getWidth();
        alto = this.canvas.getHeight();

        this.canvas.drawCircle(ancho / 2, alto / 2, radio + 2, pincel);

    }


}
